<IfModule prefork.c>
LoadModule ssl_module %HTTPD_MOD_DIR%/mod_ssl.so

AddType application/x-x509-ca-cert .crt
AddType application/x-pkcs7-crl    .crl

SSLPassPhraseDialog  builtin
SSLSessionCacheTimeout  300
SSLMutex default
SSLRandomSeed startup file:/dev/urandom  256
SSLRandomSeed connect builtin
SSLCryptoDevice builtin

SSLSessionCache         shmcb:%DESTDIR%/var/cache/mod_ssl/scache(512000)
Listen %REGRESS_HTTPS_PORT%

<VirtualHost _default_:%REGRESS_HTTPS_PORT%>
	ErrorLog logs/ssl_error_log
	TransferLog logs/ssl_access_log
	LogLevel warn

	SSLEngine on

	SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP
	SSLCertificateFile %DESTDIR%/conf/server.crt
	SSLCertificateKeyFile %DESTDIR%/conf/server.key

	DocumentRoot "%DESTDIR%/www-ssl"
	Include "%DESTDIR%/conf/rewrite.conf"

	<Directory "/">
	        Options None
		SSLRequireSSL
       		 AllowOverride None
	       	 Order allow,deny
       		 Allow from all
	</Directory>
	### mod_blocket
	Include "%DESTDIR%/conf/m?d_blocket.conf"
	Include "%DESTDIR%/conf/m?d_sec_li.conf"
	Include "%DESTDIR%/conf/m?d_sec_templates.conf"

	### PHP apps
	Alias /controlpanel "%DESTDIR%/apps/controlpanel.php"
	Include "%DESTDIR%/conf/m?d_sec_controlpanel.conf"

	### bump
	Alias /bump "%DESTDIR%/apps/bump.php"
	Include "%DESTDIR%/conf/m?d_sec_bump.conf"

	### payment (YAPO)
	Alias /pagos "%DESTDIR%/apps/yapo_payment.php"
	### payment_verify (YAPO)
	Alias /pvf "%DESTDIR%/apps/yapo_payment_verify.php"
	### webpay_verify
	Alias /wpvf "%DESTDIR%/apps/webpay_payment_verify.php"
	Include "%DESTDIR%/conf/m?d_sec_payment.conf"

	### payment (TeleSales)
	Alias /ts_pagos "%DESTDIR%/apps/telesales_payment.php"
	Include "%DESTDIR%/conf/m?d_sec_telesales_payment.conf"

	### transbank application (YAPO)
	ScriptAlias /tbk-cgi-bin/ "%DESTDIR%/cgi-bin/"
	### telesales transbank cgi (YAPO)
	ScriptAlias /ts-cgi-bin/ "%DESTDIR%/ts-cgi-bin/"
	Include "%DESTDIR%/conf/m?d_sec_transbank.conf"


	Alias /robots.txt "/opt/blocket/robots_payment.txt"

	### pay simulator
	Alias /paysim "%DESTDIR%/apps/paysim.php"
	Include "%DESTDIR%/conf/m?d_sec_paysim.conf"

	### get bill
	Alias /consultaboleta "%DESTDIR%/apps/yapo_get_bill.php"
	Include "%DESTDIR%/conf/m?d_sec_get_bill.conf"

	### xitihit page
	Alias /hit.xiti "%DESTDIR%/apps/hit_xiti.php"
	Include "%DESTDIR%/conf/m?d_sec_hitxiti.conf"

	### xititealium page
	Alias /hit.tealium "%DESTDIR%/apps/hit_tealium.php"
	Include "%DESTDIR%/conf/m?d_sec_hittealium.conf"

	### Account (YAPO)
	Alias /cuenta "%DESTDIR%/apps/account.php"
	Include "%DESTDIR%/conf/m?d_sec_account.conf"
	
	### Reset Password (YAPO)
	Alias /reset_password "%DESTDIR%/apps/reset_password.php"
	Include "%DESTDIR%/conf/m?d_sec_account.conf"
   
	## Stores
	Alias /store_edit "%DESTDIR%/apps/store_edit.php"
	Include "%DESTDIR%/conf/m?d_sec_stores.conf"
	
	### Dashboard (YAPO)
	Alias /dashboard "%DESTDIR%/apps/dashboard.php"

	### Accounts API
	Alias /accounts "%DESTDIR%/apps/accounts_api.php"

	### Jobs
	Alias /jobs "%DESTDIR%/apps/jobs_api.php"
	Include "%DESTDIR%/conf/m?d_sec_jobs.conf"

	### Cart
	Alias /cart "%DESTDIR%/apps/cart_api.php"
	Include "%DESTDIR%/conf/m?d_sec_cart.conf"

	Include "%DESTDIR%/conf/rewrite.conf"

	### Pack
	Alias /pack "%DESTDIR%/apps/pack_api.php"
	Alias /ad "%DESTDIR%/apps/ads_api.php"
	Include "%DESTDIR%/conf/m?d_sec_pack.conf"

	### Oneclick
	Alias /oneclick "%DESTDIR%/apps/oneclick_api.php"
	Include "%DESTDIR%/conf/m?d_sec_oneclick.conf"

	## PPages
	Alias /ppages "%DESTDIR%/apps/ppages.php"
	Include "%DESTDIR%/conf/m?d_sec_ppages.conf"

	### Credits
	Alias /yapesos "%DESTDIR%/apps/credits.php"

	Alias /get_voucher "%DESTDIR%/apps/get_voucher.php"

	### Payment Schedule redirect to microsite when end inscription
	Alias /finish_oc "%DESTDIR%/apps/finish_oc.php"


</VirtualHost>
</IfModule>
